Top Related Hashtags
GET /v1/latest/{level}/hashtags/{limit}/{platform}/{region}/{category_id}/{group}
Returns a list of Hashtags and associated metrics.
Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
level |
string |
yes | Categorisation level. One of cat1. |
limit |
string |
yes | Number of rows to return. One of top5, top100, all. |
platform |
string |
yes | One of tiktok. |
region |
string |
yes | Region code for the market you want data from. One of us, gb, fr, kr, jp, global. |
category_id |
UUID |
yes | Identifier of the category you want hashtags for. |
group |
string |
yes | Related group. Eg, ingredients, concerns, ... |
Examples
Section titled “Examples”Top related hashtags for Beauty + Ingredients in the US
Section titled “Top related hashtags for Beauty + Ingredients in the US”Request
Section titled “Request”curl https://api.spate.nyc/v1/latest/cat1/hashtags/top5/tiktok/us/6d408533-6979-43aa-80af-4d88bf0be860/ingredients \ -H "Authorization: Bearer $SPATE_API_KEY" | jqResponse
Section titled “Response”{ "key": "/v1/2026w25/cat1/hashtags/top5/tiktok/us/6d408533-6979-43aa-80af-4d88bf0be860/ingredients", "credits_used": 110, "data": { "cat1_id": "6d408533-6979-43aa-80af-4d88bf0be860", "cat1_label": "beauty", "group": "Ingredients", "dashboard": "https://app.spate.nyc/explore/related-categories/tiktok/trends/6d408533-6979-43aa-80af-4d88bf0be860?relatedCategories.tikTokParentName=Ingredients&country=US", "hashtags": [ { "hashtag": "#keratin", "rank": 1, "total_views": 22692002870 }, ... { "hashtag": "#collagen", "rank": 5, "total_views": 5862531680 } ], "call_cost": 10, "data_cost": 100 }}